Bug 20688 - unexpected IRQ vector
unexpected IRQ vector
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0J
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-11 17:58 EST by zwhitley
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 18:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zwhitley 2000-11-11 17:58:20 EST
Using pilot-xfer causes an "unexpected IRQ vecor 216 and 219 on CPU #0

I'm using a Supermicro DBE (BX chipset) mobo

uname -a 
Linux blue 2.2.16-22smp #1 SMP Tue Aug 22 16:39:21 EDT 2000 i686 unknown

the following is a listing of ./log/messages

I changed pilot-xfer to use ttyS1 and got the same results

--cut--
.
.
.
Nov  9 13:00:04 blue kernel: tty_io.c: process 3080 (pilot-xfer) used
obsolete /dev/cua1 - update software to use /dev/ttyS1
Nov  9 13:00:35 blue kernel: unexpected IRQ vector 216 on CPU#0!
Nov  9 13:00:35 blue kernel: unexpected IRQ vector 220 on CPU#0!
Nov  9 13:00:35 blue kernel: tty_io.c: process 2474 (gpilotd) used obsolete
/dev/cua1 - update software to use /dev/ttyS1
Nov  9 13:00:35 blue kernel: unexpected IRQ vector 216 on CPU#0!
Nov  9 13:00:37 blue last message repeated 215 times
Nov  9 13:00:37 blue kernel: unexpected IRQ vector 219 on CPU#0!
Nov  9 13:00:37 blue kernel: unexpected IRQ vector 216 on CPU#0!
.
.
.
--cut---
Comment 1 D. Stimits 2001-03-22 20:04:22 EST
This is a defect in the IO-APIC of the i840 chipset. It shows up under heavy
i/o, or even rapid
mount and umount of any filesystem. Intel needs to find out where the i840
defect is and help
with this issue. The only workaround appears to be kernel option "noapic", which
is a severe
handicap to performance. At one point I tried to talk to Intel about this, but
not being a manufacturer,
they were uninterested. FYI, this same chipset appears to have stability
problems in other
SMP-capable o/s's as well. Many inquiries have not resulted in a solution, nor
even specific
identification of where the IO-APIC problems occur.

This error is fatal on all i840 chipsets with the IO-APIC enabled. In my case
the unexpected IRQ vector
was always 217, to a non-existent handler.
Comment 2 D. Stimits 2001-03-22 20:25:09 EST
My error, the earlier report was the Supermicro BX chipset, my intent was for
i840 only. The description is accurate, but applies only the the i840 chipset.
This is probably why the irq was other than 217. Perhaps the comments could be
moved to a more valid bug report for i840 SMP (the motherboards that I have
seen the reports on were Supermicro, as well as my own; the OR840 will have this
problem also).

Note You need to log in before you can comment on or make changes to this bug.